<% panel_color = (blog_message.logbook and !blog_message.reviewed) ? "panel-danger" : "panel-default" %>

<div class="col-sm-9">
    <div class="panel <%= panel_color %>">

        <div class="panel-heading">

            <strong><%= blog_message.title.capitalize %></strong>

            - <i>[<a href="<%= blog_messages_path(utilisateur_id: blog_message.utilisateur_id) %>" class="btn btn-link btn-xs" role="button"><%= @blog_utilisateurs[blog_message.utilisateur_id] %></a>]</i>
            - <a href="<%= blog_messages_path(blog_category_id: blog_message.blog_category_id) %>" class="btn btn-info btn-xs" role="button"><%= @blog_categories[blog_message.blog_category_id] %></a>


            <% nbr_reponses = BlogResponse.where(blog_message_id: blog_message.id).size %>

            <% if nbr_reponses and nbr_reponses > 0 %>
                - <span class="badge"><%= pluralize(nbr_reponses, 'response') %></span>
            <% end %>

            <% if blog_message.logbook %>
                <a href="<%= blog_messages_path(logbook: true) %>" 
                    class="btn btn-danger btn-xs " role="button"
                    data-toggle="tooltip" title="LogBook">
                    <span class="material-icons">local_library</span>
                </a>
                <% unless blog_message.reviewed %>
                    &nbsp;&nbsp;&nbsp;
                    <span class="label label-danger">Not yet reviewed !</span>
                <% else %>
                    <span class="label label-danger"><%= @reviewcats[blog_message.reviewcat] %></span>
                <% end %>
            <% end %>
        </div>

        <div class="panel-body">

            <!-- DATE PUBLICATION si écran xs -->
            <p class="visible-xs">
                (Published : <a href="<%= blog_messages_path(date: blog_message.date) %>" class="btn btn-link btn-xs" role="button"><%= I18n.localize blog_message.date, format: :long %></a>)
            </p>

            <!-- KEYWORDS sauf écrans xs -->
            <p class="hidden-xs">
                <% if @blog_services[blog_message.service_id] or @blog_classes[blog_message.classe] or @blog_groupes[blog_message.groupe] %>
                
                    Keyword(s) : 

                    <% if @blog_services[blog_message.service_id] %>
                        <a href="<%= blog_messages_path(service_id: blog_message.service_id) %>" class="btn btn-primary btn-xs" role="button"><%= @blog_services[blog_message.service_id] %></a>
                    <% end %>
                    
                    <% if @blog_classes[blog_message.classe] %>
                        <a href="<%= blog_messages_path(classe: blog_message.classe) %>" class="btn btn-default btn-xs" role="button"><%= @blog_classes[blog_message.classe] %></a>
                    <% end %>

                    <% if @blog_groupes[blog_message.groupe] %>
                        <a href="<%= blog_messages_path(groupe: blog_message.groupe) %>" class="btn btn-default btn-xs" role="button"><%= @blog_groupes[blog_message.groupe] %></a>
                    <% end %>
                <% end %>
                <hr>
            </p>

            <!-- MESSAGE -->
            <p><%= blog_message.description.truncate(80) %></p>
        </div>
    </div>
</div>